<template>
    <div class="default-main device">
        <currentDevice ref="currentDeviceRef" />
    </div>
</template>
<script lang="ts" setup>
import { ref, onMounted, watch, nextTick } from 'vue'
import currentDevice from './supplementaryRecruitment/currentDevice.vue'
import { useRoute } from 'vue-router'
const route = useRoute()
const activeName = ref('0')
const currentDeviceRef = ref()
watch(
    () => activeName.value,
    (val, oldVal) => {
        if (val == '0') {
            nextTick(() => {
                currentDeviceRef.value && currentDeviceRef.value.getMakeUpDataList(route.query)
            })
        }
    },
    {
        immediate: true,
        deep: true
    }
)
onMounted(() => {
    console.log()
    currentDeviceRef.value && currentDeviceRef.value.getMakeUpDataList(route.query)
})
</script>
<style lang="scss" scoped>
.device {
    width: 100%;
    height: 100%;
}
</style>
